:root {
  --font-family: 'Inter', sans-serif;
  --font-size-base: 1em;
  --font-weight-base: 400;

  --text-color: #333;
  --text-inverted-color: #fff;
  --background-color: #fff;

  --accent-color: #EEB73E;
  --link-color: var(--accent-color);
  --link-hover-color: var(--accent-color);
  --link-active-color: var(--accent-color);
  --focus-border-color: var(--accent-color);
  --focus-box-shadow: 0 0 0 3px rgba(var(--accent-color), 0.2);

  --border-color: #ddd;
  --border-radius-s: 3px;
  --border-radius-m: 5px;
  --border-radius-l: 15px;

  --max-width: 1300px;

  font-family: var(--font-family);
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-base);
}

@supports (font-variation-settings: normal) {
  :root {
    --font-family: 'InterVariable', sans-serif;
    font-optical-sizing: auto;
  }
}

/* -------------------- */

/* RESET */
/* https://www.joshwcomeau.com/css/custom-css-reset/ */

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
  word-break: break-word;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  text-wrap: balance;
}

a {
  text-decoration: none;
  color: inherit;
}

/* -------------------- */

body {
  background-color: var(--background-color);
  background-attachment: fixed;
  color: var(--text-color);
  transition: opacity 50ms;
}

body.visible {
  opacity: 1;
}

body.no-scroll {
  position: fixed;
  width: 100%;
  top: 0;
}

.page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  position: relative;
  z-index: 0; /* new stacking context */
}

.content {
  max-width: var(--max-width);
  margin: 0 auto;
}

:focus-visible {
  outline: none;
  box-shadow: var(--focus-box-shadow);
}

a.link {
  text-decoration: underline;
  color: var(--link-color);
}

a.link:hover {
  color: var(--link-hover-color);
}

a.link:active {
  color: var(--link-active-color);
}

a.link-hover:hover {
  text-decoration: underline;
  color: var(--link-hover-color);
}

a.link-hover:active {
  text-decoration: underline;
  color: var(--link-active-color);
}

.hidden {
  display: none !important;
}

.invisible {
  visibility: hidden !important;
}

svg.icon {
  width: 24px;
  height: 24px;
  fill: currentColor;
  stroke: none;
}